
!ECToolSet class methodsFor: '*OcompletionPharoCompatibility' stamp: 'GuillermoPolito 5/28/2011 16:17'!
registerToolsOn: registry
	"Add ourselves to registry. See [Smalltalk tools]" 
	registry register: self as: #codeCompletion
! !

!FlatMessageListBrowser methodsFor: '*OcompletionPharoCompatibility' stamp: 'MarianoMartinezPeck 5/15/2011 15:01'!
completionController
	| controller | 
	controller := self triggerEvent: #getCompletionController.
	controller ifNil:[ controller := self initializeCompletionController ].
	^controller! !

!FlatMessageListBrowser methodsFor: '*OcompletionPharoCompatibility' stamp: 'MarianoMartinezPeck 5/15/2011 15:01'!
createCompletionController

	^(ECPreferences useECompletionInsteadOfOCompletion
		ifFalse: [ OController ]
		ifTrue: [ ECController ])
			model: self
	! !

!FlatMessageListBrowser methodsFor: '*OcompletionPharoCompatibility' stamp: 'MarianoMartinezPeck 5/15/2011 15:02'!
guessTypeForName: aString
	"self halt."
	^ nil! !

!FlatMessageListBrowser methodsFor: '*OcompletionPharoCompatibility' stamp: 'MarianoMartinezPeck 5/15/2011 15:02'!
initializeCompletionController
	| controller |
	controller := self createCompletionController.
	self 
		when: #getCompletionController
		send: #yourself
		to: controller.
	^ controller! !

!FlatMessageListBrowser methodsFor: '*OcompletionPharoCompatibility' stamp: 'MarianoMartinezPeck 5/15/2011 15:02'!
receiverClass

	^ selectedItem actualClass  


! !
